package de.ivu.elect.business.wahlvorschlag.control;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagDAO;
import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlagsdokument;

public class WahlvorschlagsdokumentCreate extends AbstractWahlvorschlagsdokumentCreate {

  @Inject
  private WahlvorschlagDAO wahlvorschlagDAO;

  public void save(Collection<Wahlvorschlagsdokument> wahlvorschlagsdokumente) {
    for(Wahlvorschlagsdokument wahlvorschlagsdokument : wahlvorschlagsdokumente) {
      save(wahlvorschlagsdokument);
    }
  }

  @Override
  public void save(Wahlvorschlagsdokument entity) {
    entity.setWahlvorschlag(wahlvorschlagDAO.attach(entity.getWahlvorschlag()));

    super.save(entity);
  }
}
